ISCSI_CREATE_SESSION(9)

NAME
iscsi_create_session - create iscsi class session

SYNOPSIS

struct iscsi_cls_session * iscsi_create_session(struct Scsi_Host * shost, struct iscsi_transport * transport, int dd_size, unsigned int target_id);

ARGUMENTS

shost
    scsi host

transport
    iscsi transport

dd_size
    private driver data size

target_id
    which target

DESCRIPTION

This can be called from a LLD or iscsi_transport.

AUTHORS

James Bottomley <James.Bottomley@hansenpartnership.com>
    Author.

Rob Landley <rob@landley.net>
    Author.

COPYRIGHT